XmStringPeekNextTriple(3)

NAME
XmStringPeekNextTriple — A function that returns the component type of the next component

SYNOPSIS

#include <Xm/Xm.h>
XmStringComponentType XmStringPeekNextTriple(
XmStringContext context);

DESCRIPTION

XmStringPeekNextTriple examines the next component that would be fetched by XmStringGetNextTriple and returns the component type.

context
    Specifies the string context structure that was allocated by the XmStringInitContext function.

RETURN

Returns the type of the component found. Refer to the XmStringComponentType(3) reference page for a list of component types.

RELATED

XmString(3), XmStringComponentType(3), and XmStringGetNextTriple(3).